Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061833 - Inconsistent PolicyKit domain usage for D-Bus methods
Summary: Inconsistent PolicyKit domain usage for D-Bus methods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1061809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 17:42 UTC by Daniel Kopeček
Modified: 2014-06-19 22:58 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.3.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1061809
Environment:
Last Closed: 2014-06-19 22:58:26 UTC


Attachments (Terms of Use)

Comment 1 Jiri Popelka 2014-03-20 15:50:42 UTC
I went ahead and made these changes:

https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=63cf455b305c3208d99524c1c3df193b23c8b8cf
CONFIG -> INFO:
isImmutable()
queryInterface()
getInterfaces()
querySource()
getSources()
queryRichRule()
getRichRules()
queryService()
getServices()
queryPort()
getPorts()
queryMasquerade()
queryForwardPort()
getForwardPorts()
queryIcmpBlock()
getIcmpBlocks()

https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=cdf4e49fa17671c56601197a5f61dd850680b004
DIRECT -> INFO:
queryChain()
getChains()
getAllChains()
queryRule()
getRules()
getAllRules()

https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=f6ea130bb68016c422e0766d2888c374ccdac759
INFO -> CONFIG
enablePanicMode()
disablePanicMode()

Comment 2 Jiri Popelka 2014-03-21 11:33:04 UTC
also
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=b915a9c9dbbba9bdaecd9d99d779dceb504da8a7
POLICIES -> INFO
queryLockdown()
queryLockdownWhitelistCommand()
getLockdownWhitelistCommands()
queryLockdownWhitelistUid()
getLockdownWhitelistUids()
queryLockdownWhitelistUser()
getLockdownWhitelistUsers()
queryLockdownWhitelistContext()
getLockdownWhitelistContexts()

Comment 3 Jiri Popelka 2014-04-30 16:14:08 UTC
(In reply to Daniel Kopeček from comment #0)
> some get/list methods require _INFO and the others require _CONFIG.

There are only 2 list... methods and that's
listServices() and listIcmpTypes() - these are PK_ACTION_INFO because they just enumerate *all* existing services/icmptypes, i.e. they don't reveal any configuration.

Whether the other methods mentioned in previous comments should be _INFO or _CONFIG/_DIRECT/_POLICIES depends on the product (server/desktop).
On desktop they can be _INFO, on server _CONFIG/_...
This should solve
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=d4e5b8c15cb50e9f4eda683eb18b5a7d11e52c46
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=a9a5e2f997efbee67abc938ab2484f1c27d59ce7

See also bug #1091068#c1

Comment 4 Fedora Update System 2014-05-29 09:08:35 UTC
firewalld-0.3.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.10-1.fc20

Comment 5 Fedora Update System 2014-05-29 23:23:20 UTC
Package firewalld-0.3.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6834/firewalld-0.3.10-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-19 22:58:26 UTC
firewalld-0.3.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.